<template name="dashboard">
    <div class="container-fluid">
        <h2 class="text-center">База података</h2>
        <hr />
        <div class="dashboard-filters">
            <div class="row justify-content-around">
                <div class="dashboard-filters-dropdown">
                    <label for="ice-cream-choice">Град школование</label>
                    <input type="text" list="ice-cream-flavors" id="ice-cream-choice" name="ice-cream-choice">
                    <datalist id="ice-cream-flavors"></datalist>
                </div>
            </div>
        </div>
    </div>
    <div class="table-responsive">
        <table class="table table-striped table-bordered">
            <thead class="thead-light">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Име и презиме</th>
                    <th scope="col">Пол</th>
                    <th scope="col">Датум рођења</th>
                    <th scope="col">Место становања</th>
                    <th scope="col">Средња школа (Град)</th>
                    <th scope="col">Средња школа (Име)</th>
                    <th scope="col">Средња школа (Смер)</th>
                    <th scope="col">Средња школа (Квалификација)</th>
                    <th scope="col">Факултет (Град)</th>
                    <th scope="col">Факултет (Име)</th>
                    <th scope="col">Факултет (Смер)</th>
                    <th scope="col">Факултет (Квалификација)</th>
                    <th scope="col">Радна струка</th>
                    <th scope="col">Занимање</th>
                    <th scope="col">Радни статус</th>
                    <th scope="col">Број телефона</th>
                    <th scope="col">Е-пошта</th>
                    <th scope="col">Радна биографија</th>
                </tr>
            </thead>
            <tbody>
                {{#each userData}}
                <tr>
                    <th scope="row">{{@index}}</th>
                    <td>{{profile.name}}</td>
                    <td>{{profile.gender}}</td>
                    <td>{{userBirth profile.birth}}</td>
                    <td>{{profile.city}}</td>
                    <td>{{school.high.city}}</td>
                    <td>{{school.high.name}}</td>
                    <td>{{school.high.class}}</td>
                    <td>{{school.high.qulification}}</td>
                    <td>{{school.faculty.city}}</td>
                    <td>{{school.faculty.name}}</td>
                    <td>{{school.faculty.class}}</td>
                    <td>{{school.faculty.qulification}}</td>
                    <td>/</td>
                    <td>/</td>
                    <td>/</td>
                    <td>{{profile.phone}}</td>
                    <td>{{#each emails}} <a href="mailto:{{address}}">{{address}}</a>{{/each}}</td>
                    <td>{{userDocument _id}}</td>
                </tr>
                {{/each}}
            </tbody>
        </table>
    </div>
    <div class="pagination-nav">
        <nav aria-label="Page navigation example">
            <ul class="pagination justify-content-center">
                <li class="page-item disabled">
                    <a class="page-link" href="#" tabindex="-1" aria-disabled="true">Претхонда</a>
                </li>
                <li class="page-item"><a class="page-link" href="#">1</a></li>
                <li class="page-item"><a class="page-link" href="#">2</a></li>
                <li class="page-item"><a class="page-link" href="#">3</a></li>
                <li class="page-item">
                    <a class="page-link" href="#">Следећа</a>
                </li>
            </ul>
        </nav>
    </div>
</template>

<!-- <tbody>
            {{#each userData}}
                <th scope="row">{{@index}}</th>
                <td><img src="{{profile.image.link}}" alt="{{profile.fullName}}" width="50"></td>
                <td>{{profile.fullName}}</td>
                <td>{{profile.city}}</td>
                <td>{{profile.school.high}}</td>
                <td>{{profile.school.highClass}}</td>
                <td>{{profile.school.faculty}}</td>
                <td>{{profile.school.facultyClass}}</td>
                <td>{{profile.birth}}</td>
                <td>{{profile.phone.number}}</td>
                <td>{{#each emails}} <a href="mailto:{{address}}">{{address}}</a>{{/each}}</td>
                <td>{{userDocument _id}}</td>
            </tr>
            {{/each}}
        </tbody> 
        <button class="btn btn-success" id="e-exportCSV">Извези CSV</button> -->